
#ifndef _PCISCC_FLEX_H_
#define _PCISCC_FLEX_H_

#include <ntddk.h>

#define	MAXFLEN	400             /* maximum length of a frame */

/* struct for communicating RX and TX packets to the driver */
typedef struct
{
    USHORT		len;			/* frame length */
    UCHAR		chan;			/* channel number */
    UCHAR		txdelay;		/* transmitter keyup delay (TxDelay) */
    UCHAR		frame[MAXFLEN];	/* L1-Frame (ohne CRC) - L1 frame without CRC */
	LIST_ENTRY	list_entry;
} L1FRAME;

/* struct for channel statistics */
typedef struct
{
	ULONG	tx_error;			/* underrun or some other problem */
	ULONG	rx_overrun;			/* if supported by the hardware */
	ULONG	rx_bufferoverflow;
	ULONG	tx_frames;			/* total number of sent frames */
	ULONG	rx_frames;			/* total number of received frames */
	ULONG	io_error;			/* number of errors in the IO device */
	ULONG	reserve[4];			/* reserved for extensions, leave 0! */
} L1_STATISTICS;

/* bitmasks for the mode parameter */
#define MODE_d		0x0080
#define MODE_r		0x0040
#define MODE_t		0x0020
#define MODE_z		0x0010
#define MODE_p		0x0004		/* needs also MODE_d */
#define MODE_c		0x0002
#define MODE_off	0x0001

/* masks for the L1 channel status */
#define CH_DEAD		0x01
#define CH_RXB		0x40
#define CH_PTT		0x20
#define CH_DCD		0x10
#define CH_FDX		0x08
#define CH_TBY		0x04

#endif /* _PCISCC_FLEX_H_ */

